PROJ = detabdos
PROJFILE = detabdos.mak
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
BIND  = bind
RC	= rc
IMPLIB	= implib
LFLAGS_G  =  /NOI /NOE	/TINY /BATCH
LFLAGS_D  = /CO /FAR
LFLAGS_R  = /FAR
MAPFILE_D  = NUL
MAPFILE_R  = NUL
RT_OBJS  = crtcom.lib
CC	= cl
CFLAGS_G  = /W2 /BATCH
CFLAGS_D  = /qc /Zr /Zi /Od
CFLAGS_R  = /Ot /Oi /Ol /Oe /Og /Gs
LLIBS_R  = /NOD:SLIBCE SLIBCER
LLIBS_D  = /NOD:SLIBCE SLIBCER
ASM  = masm
AFLAGS_G  = /Mx /T
AFLAGS_D  = /Zi

OBJS  = tabs_dos\DETAB.obj
SBRS  = tabs_dos\DETAB.sbr

all: tabs_dos\$(PROJ).com

.SUFFIXES: .c .sbr .obj

tabs_dos\DETAB.obj : DETAB.C C:\CMPLRS\C600\INCLUDE\stdio.h
!IF $(DEBUG)
		$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fotabs_dos\DETAB.obj DETAB.C
!ELSE
		$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fotabs_dos\DETAB.obj DETAB.C
!ENDIF

tabs_dos\DETAB.sbr : DETAB.C C:\CMPLRS\C600\INCLUDE\stdio.h
!IF $(DEBUG)
		$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FRtabs_dos\DETAB.sbr DETAB.C
!ELSE
		$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FRtabs_dos\DETAB.sbr DETAB.C
!ENDIF


tabs_dos\$(PROJ).bsc : $(SBRS)
		$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

tabs_dos\$(PROJ).com : $(OBJS)
!IF $(DEBUG)
		$(LRF) @<<tabs_dos\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		$(LRF) @<<tabs_dos\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
		$(LINKER) @tabs_dos\$(PROJ).lrf


.c.sbr :
!IF $(DEBUG)
		$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
		$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF

.c.obj :
!IF $(DEBUG)
		$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
		$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: tabs_dos\$(PROJ).com
		tabs_dos\$(PROJ).com $(RUNFLAGS)

debug: tabs_dos\$(PROJ).com
		CV $(CVFLAGS) tabs_dos\$(PROJ).com $(RUNFLAGS)
